.c-onOfSwitch{
    padding: 10px 0;
    .leftTitle, .rightTitle {
        float:left;
        font-size: 10px;
        padding-top: 3px;
        &.deactivated {
            color: $brand-midGrey;
        }
    }
    input[type=checkbox]{
        height: 0;
        width: 0;
        visibility: hidden;
        margin:0;
        float:left;
    }
    
    label {
        float:left;
        margin: 0 10px;
        cursor: pointer;
        text-indent: -9999px;
        width: 45px;
        height: 18px;
        background: $secondaryColor;
        display: block;
        border-radius: 50px;
        position: relative;
        @extend .transition;
    }
    
    label:after {
        content: '';
        position: absolute;
        top: 2px;
        left: 2px;
        width: 20px;
        height: 14px;
        background: #ffffff;
        border-radius: 60px;
        box-shadow: 0px 0px 6px 0px rgba(0,0,0,0.2);
        @extend .transition;
    }

    input:checked + label {
        background: $themeSwitchBackgroundDark;
    }
    
    input:checked + label:after {
        left: calc(100% - 2px);
        transform: translateX(-100%);
        background: #ffffff
    }

    //Offer panel switch
    &.offer{
        display:inline-block;
        padding: 0;
        .leftTitle, .rightTitle {
            font-size: 20px;
            font-weight: 700;
            text-transform: uppercase;
            padding-top: 0;
            color:#ffffff;
            &.deactivated {
                opacity:0.3;
            }
        }
        
        label {
            width: 60px;
            height: 24px;
            background: $energy__switchColorBuy;
        }
        
        label:after {
            width: 25px;
            height: 16px;
            border:2px solid $energy__switchColorBuy;
            box-shadow: 1px 1px 5px 0px rgba(0,0,0,0.5);
        }

        input:checked + label {
            background: $energy__switchColorSell;
        }
        
        input:checked + label:after {
            border:2px solid $energy__switchColorSell;
        }
    }
}

.lightTheme {
    .c-onOfSwitch{
        .leftTitle, .rightTitle {
            color: $lightTheme-darkText;
            font-weight: 700;
            &.deactivated {
                font-weight: 400;
                color: $lightTheme-darkText;
            }
        }
    }
}
